unit pi_EMM_wu;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  Tpi_emm_wf = class(TForm)
    Label2: TLabel;
    Cancel: TButton;
    Ready: TButton;
    ti: TTimer;
    eper: TEdit;
    fehler: TLabel;
    procedure ReadyClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure tiTimer(Sender: TObject);
    procedure eperChange(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  pi_emm_wf: Tpi_emm_wf;

implementation

uses pi_emm_u;

{$R *.DFM}

procedure Tpi_emm_wf.ReadyClick(Sender: TObject);
begin
	ti.enabled := false;
	ready.visible := false;
	fehler.caption := '';
	pi_emm_wf.color := clmaroon;
	fehler.color := clmaroon;
	modalresult := mrok;
end;

procedure Tpi_emm_wf.FormCreate(Sender: TObject);
begin
	pi_emm_f.requall.click;
end;

procedure Tpi_emm_wf.CancelClick(Sender: TObject);
begin
	fehler.caption := '';
	pi_emm_wf.color := clmaroon;
	fehler.color := clmaroon;
	ti.enabled := false;
	modalresult := mrno;
end;

procedure Tpi_emm_wf.FormShow(Sender: TObject);
begin
	top := pi_emm_f.top + 130;
	left := pi_emm_f.left + 170;
	if pos('MIDI', caption) > 0
	then begin
		ti.interval := 1000;
		ti.enabled := true;
	end;
end;

procedure Tpi_emm_wf.tiTimer(Sender: TObject);
begin
	fehler.color := clwhite;
	fehler.caption := 'No MIDI Data received';
	pi_emm_wf.color := clred;
end;

procedure Tpi_emm_wf.eperChange(Sender: TObject);
begin
	if ti.enabled = true
	then begin
		ti.enabled := false;
		ti.enabled := true;
	end;
end;

end.
