unit pi_EMM_au;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  Tpi_emm_af = class(TForm)
    Panel1: TPanel;
    p00bat: TImage;
    p01bat: TImage;
    p02bat: TImage;
    p03bat: TImage;
    p04bat: TImage;
    p05bat: TImage;
    p06bat: TImage;
    p07bat: TImage;
    p08bat: TImage;
    p09bat: TImage;
    Image1: TImage;
    Image2: TImage;
    procedure pbatMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  	pi_emm_af: Tpi_emm_af;
	w:			integer;
	itab:		array [0..9] of integer;

implementation

{$R *.DFM}

procedure Tpi_emm_af.pbatMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
	timage(components[itab[w]]).canvas.brush.color := clwhite;
	timage(components[itab[w]]).canvas.floodfill(12, 11, clyellow, fssurface);
	case timage(sender).tag of
	0..7:
		begin
			w := timage(sender).tag;
			timage(sender).canvas.brush.color := clyellow;
			timage(sender).canvas.floodfill(12, 11, clwhite, fssurface);
		end;
	8:
		modalresult := mrcancel;
	9:
		begin
			pi_emm_af.tag := w;
			modalresult := mrok;
		end;
	end;
end;

procedure Tpi_emm_af.FormCreate(Sender: TObject);
var
	i:			integer;
begin
	for i := 0 to 9
	do if components[i] is timage
		then itab[components[i].tag] := components[i].componentindex;
end;

procedure Tpi_emm_af.FormShow(Sender: TObject);
begin
	w := pi_emm_af.tag;
	timage(components[itab[w]]).canvas.brush.color := clyellow;
	timage(components[itab[w]]).canvas.floodfill(12, 11, clwhite, fssurface);
end;

end.
